Package ru.bitel.bgbilling.modules.dialup.server.bean

# Class DialUpSessionUtils

java.lang.Object
ru.bitel.bgbilling.modules.dialup.server.bean.DialUpSessionUtils

    public class DialUpSessionUtils
    extends java.lang.Object

Менеджер работы с сессиями Dialup

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `DialUpSessionUtils.ServiceRange` | Диапазон услуги

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DialUpSessionUtils​(java.sql.Connection con, int mid)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `deleteSessionAccountAndDetailById​(int sessionId, java.util.Date month)` |
  `static float` | `getPart​(java.util.Calendar periodFrom, java.util.Calendar periodTo, int sid, java.util.Map<java.lang.Integer,​java.util.List<DialUpSessionUtils.ServiceRange>> ranges)` |
  `java.util.Map<java.lang.Integer,​java.util.List<DialUpSessionUtils.ServiceRange>>` | `getServiceRangeMap​(int cid, java.lang.String sids)` | Возвращает карту "код услуги"-"список диапазонов услуги на договоре"
  `void` | `setContractAccountFromSessionAccount​(java.util.Calendar time, int cid)` | Устанавливает наработку договору по наработке за сессии
  `void` | `setSessionAccount​(java.util.Calendar date, int sessionId, int serviceId, float sum, int cid)` | Устанавливает наработку за сессию

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DialUpSessionUtils

    public DialUpSessionUtils​(java.sql.Connection con, int mid)

- ## Method Details

  - ### setSessionAccount

    public void setSessionAccount​(java.util.Calendar date, int sessionId, int serviceId, float sum, int cid)
    Устанавливает наработку за сессию
    Parameters:
      `date` - дата
      `sessionId` - код сессии
      `serviceId` - код услуги
      `sum` - сумма
      `cid` - код договора

  - ### setContractAccountFromSessionAccount

    public void setContractAccountFromSessionAccount​(java.util.Calendar time, int cid)
    Устанавливает наработку договору по наработке за сессии
    Parameters:
      `time` - дата
      `cid` - код договора

  - ### getServiceRangeMap

    public java.util.Map<java.lang.Integer,​java.util.List<DialUpSessionUtils.ServiceRange>> getServiceRangeMap​(int cid, java.lang.String sids)
    Возвращает карту "код услуги"-"список диапазонов услуги на договоре"
    Parameters:
      `cid` - код договора
      `sids` - коды услуг
    Returns:

  - ### getPart

    public static float getPart​(java.util.Calendar periodFrom, java.util.Calendar periodTo, int sid, java.util.Map<java.lang.Integer,​java.util.List<DialUpSessionUtils.ServiceRange>> ranges)

  - ### deleteSessionAccountAndDetailById

    public void deleteSessionAccountAndDetailById​(int sessionId, java.util.Date month) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`